diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 6ced69b..b4f200b 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -42,7 +42,7 @@ BOOKPDF=${PDF}/bookvol0.pdf    ${PDF}/bookvol1.pdf    ${PDF}/bookvol2.pdf \
 
 OTHER=  ${PDF}/refcard.pdf     ${PDF}/endpaper.pdf    ${PDF}/rosetta.pdf
 
-all: announce ${BOOKPDF} ${PDF}/toc.pdf ${OTHER} spadedit 
+all: announce ${PDF}/axiom.bib ${OTHER} ${BOOKPDF} ${PDF}/toc.pdf spadedit 
 	@(cd ${PDF} ; ${RM} *.out *.toc *.sty *.def *.png)
 
 announce:
@@ -68,6 +68,21 @@ ${PDF}/axiom.bst:
 	@ echo ===========================================
 	@ cp ${BOOKS}/axiom.bst ${PDF}/axiom.bst
 
+${PDF}/endpaper.pdf: ${IN}/endpaper.pamphlet
+	@ echo ===========================================
+	@ echo making ${IN}/endpaper.pdf from ${PDF}/endpaper.pamphlet
+	@ echo ===========================================
+	@(cd ${PDF} ; \
+          cp ${BOOKS}/endpaper.pamphlet ${PDF} ; \
+	  ${LATEX} endpaper.pamphlet ; \
+	  ${LATEX} endpaper.pamphlet ; \
+	  ${BIBTEX} endpaper.aux ; \
+	  ${LATEX} endpaper.pamphlet ; \
+	  ${DVIPS} endpaper.dvi ; \
+	  ${PS2PDF} endpaper.ps ; \
+	  ${RM} endpaper.aux endpaper.dvi endpaper.log endpaper.out ; \
+	  ${RM} endpaper.pamphlet endpaper.ps endpaper.toc )
+
 ${PDF}/%.pdf: ${IN}/%.pamphlet ${PDF}/axiom.bib ${PDF}/axiom.bst
 	@ echo ===========================================
 	@ echo making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
diff --git a/books/endpaper.pamphlet b/books/endpaper.pamphlet
index 20cb1b0..f8ac990 100644
--- a/books/endpaper.pamphlet
+++ b/books/endpaper.pamphlet
@@ -18,6 +18,7 @@
 \tableofcontents
 \vfill
 \eject
+This information comes from the end papers of the Jenks book\cite{Jenk92}.
 \section{Basic Algebra Hierarchy Diagram}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%% level 1 
@@ -53,6 +54,11 @@
 % ABELMON AbelianMonoid
 {\psframebox{{\rnode{abelmon}{\href{catdef.spad.dvi}{abelmon}}}}}
 \ncLine[nodesep=3pt,linestyle=solid]{abelsg}{abelmon}
+% OASGP OrderedAbelianSemiGroup
+{\psframebox{{\rnode{oasgp}{\href{catdef.spad.dvi}{oasgp}}}}}
+\ncLine[nodesep=3pt,linestyle=solid]{abelsg}{oasgp}
+\ncLine[nodesep=3pt,linestyle=solid]{ordset}{oasgp}
+{\hbox{\hskip 0.2cm}}
 % MONOID Monoid
 {\psframebox{{\rnode{monoid}{\href{catdef.spad.dvi}{monoid}}}}}
 \ncLine[nodesep=3pt,linestyle=solid]{sgroup}{monoid}
@@ -69,11 +75,6 @@
 {\psframebox{{\rnode{cabmon}{\href{catdef.spad.dvi}{cabmon}}}}}
 \ncLine[nodesep=3pt,linestyle=solid]{abelmon}{cabmon}
 {\hbox{\hskip 2.0cm}}
-% OASGP OrderedAbelianSemiGroup
-{\psframebox{{\rnode{oasgp}{\href{catdef.spad.dvi}{oasgp}}}}}
-\ncLine[nodesep=3pt,linestyle=solid]{abelmon}{oasgp}
-\ncLine[nodesep=3pt,linestyle=solid]{ordset}{oasgp}
-{\hbox{\hskip 0.2cm}}
 % GROUP Group
 {\hbox{\hskip 0.1cm}}
 {\psframebox{{\rnode{group}{\href{catdef.spad.dvi}{group}}}}}
@@ -588,30 +589,10 @@
 {\bf VECTCAT VectorCategory}
 \vfill
 \eject
-\begin{thebibliography}{99}
-\bibitem{1} Jenks, Richard D., Sutor, Robert S.,
-{\sl AXIOM The Scientific Computation System},
-Springer-Verlag, NY 1992, 
-ISBN 0-387-97855-0
-\bibitem{2} The Axiom Team,
-{\sl AXIOM The 30 Year Horizon},
-Tim Daly (Ed), 2004,
-{\bf http://savannah.nongnu.org/projects/axiom}
-\bibitem{3} The Axiom Team,
-{\sl AXIOM Volume 1 Tutorial},
-Tim Daly (Ed), 2004,
-{\bf http://savannah.nongnu.org/projects/axiom}
-\bibitem{4} The Axiom Team,
-{\sl AXIOM Volume 2 Programming},
-Tim Daly (Ed), 2004,
-{\bf http://savannah.nongnu.org/projects/axiom}
-\bibitem{5} The Axiom Team,
-{\sl AXIOM Volume 3 Reference},
-Tim Daly (Ed), 2004,
-{\bf http://savannah.nongnu.org/projects/axiom}
-\bibitem{6} The Axiom Team,
-{\sl AXIOM Volume 4 Developers},
-Tim Daly (Ed), 2004,
-{\bf http://savannah.nongnu.org/projects/axiom}
-\end{thebibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\chapter{Bibliography}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\bibliographystyle{axiom}
+\bibliography{axiom}
 \end{document}
+
diff --git a/changelog b/changelog
index 2e4c023..0441345 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141004 tpd src/axiom-website/patches.html 20141004.05.tpd.patch
+20141004 tpd books/endpaper fix algebra hierarchy for OSAGP change
 20141004 tpd src/axiom-website/patches.html 20141004.04.tpd.patch
 20141004 tpd src/share/algebra/*.daase update databases 
 20141004 tpd src/axiom-website/patches.html 20141004.03.tpd.patch
diff --git a/patch b/patch
index 708b127..5904a2d 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,3 @@
-src/share/algebra/*.daase update databases with new OrderedAbelianSemiGroup
-
-make sure the databases are up to date
+books/endpaper fix algebra hierarchy for OSAGP change
 
+rearrange the endpaper diagram
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9e79ed1..e79472b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4668,6 +4668,8 @@ books/bookvolbib fix typo<br/>
 books/bookvol10.2 fix OrderedAbelianSemiGroup<br/>
 <a href="patches/20141004.04.tpd.patch">20141004.04.tpd.patch</a>
 src/share/algebra/*.daase update databases<br/>
+<a href="patches/20141004.05.tpd.patch">20141004.05.tpd.patch</a>
+books/endpaper fix algebra hierarchy for OSAGP change<br/>
  </body>
 </html>
 
